package app.engine;

import app.SettingApp;
import java.awt.Color;
import java.awt.Dimension;
import java.awt.FlowLayout;
import java.awt.Graphics;
import javax.swing.JButton;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.border.BevelBorder;

/**
 * @author Death
 */
public class WPanel extends JPanel{
    
    public WPanel(){
        super();
        this.setPreferredSize(SettingEngine.DIMENSION_WPANEL);
        this.setBackground(SettingEngine.colorNULL);
        this.setLayout(new FlowLayout(FlowLayout.LEFT));
        this.setLayout(new FlowLayout(FlowLayout.CENTER, SettingApp.WIDTH / 2, 10));
    }

    public JButton newButton(String text){
        JButton b = new JButton(text);
        b.setPreferredSize(new Dimension(SettingEngine.WIDTH_BUTTON, SettingEngine.HEIGHT_BUTTON));
        b.setBackground(SettingEngine.colorGUI);
        this.add(b);
        return b;
    }
    
    public JLabel newLabel(String text){
        JLabel l = new JLabel(text);
        
        l.setVerticalAlignment(JLabel.CENTER);
        l.setHorizontalAlignment(JLabel.CENTER);
        
        l.setOpaque(true);
        
//        Color colorBorder = new Color(255/2, 255/2, 255/2, 255/2);
//        l.setBorder(new BevelBorder(BevelBorder.LOWERED, colorBorder, colorBorder));
        l.setBackground(SettingEngine.colorGUI);
        
        l.setPreferredSize(new Dimension(SettingEngine.WIDTH_BUTTON, SettingEngine.HEIGHT_BUTTON));
        
        this.add(l);
        return l;
    }
    
    public JLabel newLabelInfo(String text){
        JLabel l = new JLabel(text);
        
        l.setVerticalAlignment(JLabel.CENTER);
        l.setHorizontalAlignment(JLabel.CENTER);
        
        l.setOpaque(true);
        l.setBackground(SettingEngine.colorNULL);
        
        l.setPreferredSize(new Dimension(SettingEngine.WIDTH_BUTTON, SettingEngine.HEIGHT_BUTTON));
        
        this.add(l);
        return l;
    }
}
