package app.util;

import java.awt.image.BufferedImage;
import java.util.HashMap;

/**
 * @author Death
 */
public class Resources {

    private HashMap<String, BufferedImage> imageResource;

    public Resources(){
        init();
    }
    
    public void init(){
        imageResource = new HashMap<>();
    }
    
    public void addImage(String id, BufferedImage im){
        imageResource.put(id, im);
    }
    
    public BufferedImage getImage(String id){
        return imageResource.get(id);
    }
    
    public String path = "./resources/texture/";
    public void load(String name, int w, int h){
        if(imageResource.get(name) == null){
            String nameFile = path + name + ".png";
            BufferedImage im = SM.resize(SM.imgFile(nameFile), w, h);
            imageResource.put(name, im);
        }
    }
}
