package app.window;

import java.awt.event.KeyEvent;
import java.awt.event.KeyListener;

/**
 * @author Death
 */
public class Keyboard implements KeyListener{

    public static final int PRESSED = 1, RELEASED = 2;
    
    MainPanel panel;

    public Keyboard(MainPanel panel){
        this.panel = panel;
    }
    
    @Override
    public void keyTyped(KeyEvent e){
    }

    @Override
    public void keyPressed(KeyEvent e){
        if(panel.game != null) panel.game.keyLst(e.getKeyCode(), PRESSED);
    }

    @Override
    public void keyReleased(KeyEvent e){
        if(panel.game != null) panel.game.keyLst(e.getKeyCode(), RELEASED);
    }

}
