package ws.gameField;

import app.util.SM;
import ws.enemy.Enemy;

/**
 * @author Death
 */
public class GenerateEnemys {

    long timeDelay;
    GameField gameField;
    
    int sleep, sleepNorm;

    public GenerateEnemys(GameField gameField){
        this.gameField = gameField;
        timeDelay = System.currentTimeMillis();
        sleepNorm = 2000;
        sleep = sleepNorm;
    }
    
    int max = 3;
    int min = 1;
    public void update(){
        if(System.currentTimeMillis() - timeDelay > sleep){
            timeDelay = System.currentTimeMillis();
            
            sleep = SM.random(sleepNorm / 2, sleepNorm + sleepNorm / 2);
            
            
            int r = SM.random(min, max);
            gameField.enemyPool.add(Enemy.enemyes.get(r).clone());
        }
    }
    
    public void deathEnemy(int i){
        if(max > 20){
            min = 21;
            if(i % 10 == 0){
                max += 1;
            }
            if(max > Enemy.MAX_ENEMY) max = Enemy.MAX_ENEMY;
            if(i % 15 == 0){
                sleepNorm -= 50;
                if(sleepNorm < 300) sleepNorm = 300;
            }
            return;
        }
        
        if(i % 10 == 0){
            max += 1;
            min += 1;
            if(max > Enemy.MAX_ENEMY) max = Enemy.MAX_ENEMY;
            if(min > Enemy.MAX_ENEMY - 3) min = Enemy.MAX_ENEMY - 3;
        }
        if(i % 15 == 0){
            sleepNorm -= 100;
            if(sleepNorm < 300) sleepNorm = 300;
        }
    }
}
