package ws.gameOver;

import app.SettingApp;
import app.engine.Screen;
import java.awt.Color;
import java.awt.Graphics2D;
import javax.swing.JButton;
import ws.gameField.GameField;
import ws.menu.MenuScreen;

/**
 * @author Death
 */
public class GameOverScreen extends Screen{

    String strInfoDeathEnemy;
    
    @Override
    public void init(){
        strInfoDeathEnemy = String.valueOf("Всего убито врагов: " + GameField.gameField.enemyPool.deathEnemy);
        GameField.gameField = null;
        
        JButton backMenu = panelGUI.newButton("В меню");
        backMenu.addActionListener((e) -> {
            game.setScreen(new MenuScreen());
        });
    }

    @Override
    public void paint(Graphics2D g){
        g.setColor(new Color(200, 200, 200));
        g.drawString(strInfoDeathEnemy, (int)(SettingApp.WIDTH / 2 - g.getFontMetrics().getStringBounds(strInfoDeathEnemy, g).getWidth() / 2), 
                                        SettingApp.HEIGHT / 2);
    }

    @Override
    public void update(){
    }

    @Override
    public void keyLst(int key, int type){
    }

    @Override
    public void mouseLst(int key, int type){
    }

}
