package ws.setting;

import java.awt.Color;
import java.awt.Graphics2D;
import ws.enemy.Enemy;

/**
 * @author Death
 */
public class EnemyDemo extends Enemy{

    long timeDelayRemoveHealth;
    int removeHealght = 1;

    public EnemyDemo(){
        healthMax = 50;
        health = healthMax;
        r = 10;
        x = 50;
        y = 50;
        color = Color.GREEN;
    }

    @Override
    public void paint(Graphics2D g){
        g.setColor(new Color(255, 255, 255, 50));
        g.fillRect(x - r * 3, y - r * 3, r * 6, r * 6);
        g.setColor(new Color(0, 0, 0));
        g.drawRect(x - r * 3, y - r * 3, r * 6, r * 6);
        super.paint(g); //To change body of generated methods, choose Tools | Templates.
    }
    
    @Override
    public void update(){
        if(System.currentTimeMillis() - timeDelayRemoveHealth > 100){
            timeDelayRemoveHealth = System.currentTimeMillis();
            health -= removeHealght;
            if(health < 0 || health > healthMax) removeHealght = -removeHealght;
        }
    }
}
