package ws.gameField;

import app.engine.Screen;
import java.awt.Graphics2D;

/**
 * @author Death
 */
public class GameScreen extends Screen{

    public GameField gameField;

    public GameScreen(){
        super();
        gameField = new GameField(this);
    }
    
    @Override
    public void init(){
    }

    @Override
    public void paint(Graphics2D g){
        gameField.paint(g);
    }

    @Override
    public void update(){
        gameField.update();
    }

    @Override
    public void keyLst(int key, int type){
        gameField.keyLst(key, type);
    }

    @Override
    public void mouseLst(int key, int type){
        gameField.mouseLst(key, type);
    }

}
